com.informix.util

## Class DelayedWeakReference<T>

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference<T>
    - - com.informix.util.DelayedWeakReference<T>

All Implemented Interfaces:
  java.lang.Comparable<java.util.concurrent.Delayed>, java.util.concurrent.Delayed

    public class DelayedWeakReference<T>
    extends java.lang.ref.WeakReference<T>
    implements java.util.concurrent.Delayed

### Constructor Summary

Constructors
Constructor and Description
`DelayedWeakReference(T referent, long delay)`
`DelayedWeakReference(T referent, java.lang.ref.ReferenceQueue<T> q, long delay)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(java.util.concurrent.Delayed other)`
`long` `getDelay()`
`long` `getDelay(java.util.concurrent.TimeUnit unit)`
`long` `getExpirationTime()`

### Methods inherited from class java.lang.ref.Reference

`clear, clone, enqueue, get, isEnqueued`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelayedWeakReference

    public DelayedWeakReference(T referent,
                                long delay)

#### DelayedWeakReference

    public DelayedWeakReference(T referent,
                                java.lang.ref.ReferenceQueue<T> q,
                                long delay)

### Method Detail

#### getDelay

    public long getDelay()

#### getExpirationTime

    public long getExpirationTime()

#### compareTo

    public int compareTo(java.util.concurrent.Delayed other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<java.util.concurrent.Delayed>`

#### getDelay

    public long getDelay(java.util.concurrent.TimeUnit unit)

Specified by:
  `getDelay` in interface `java.util.concurrent.Delayed`